Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(2)  |  Call(2)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/curve.py   rhinopython(Download)
    """
    plane = rhutil.coerceplane(plane, True)
    rect = Rhino.Geometry.Rectangle3d(plane, width, height)
    poly = rect.ToPolyline()
    rc = scriptcontext.doc.Objects.AddPolyline(poly)

src/h/o/Honeybee-HEAD/src/Honeybee_Glazing based on ratio.py   Honeybee(Download)
    #Create the rectangle
    rectPlane = rc.Geometry.Plane(rectPt4, rectPt2, rectPt3)
    rect = rc.Geometry.Rectangle3d(rectPlane, rectPt2, rectPt1)
    rectBrep = rc.Geometry.Brep.CreateFromCornerPoints(rectPt1, rectPt3, rectPt2, rectPt4, sc.doc.ModelAbsoluteTolerance)